Binary files ircd-hybrid-6rc4/ChangeLog and ircd-ournet-12302000/ChangeLog differ
diff -uNrd ircd-hybrid-6rc4/include/config.h ircd-ournet-12302000/include/config.h
--- ircd-hybrid-6rc4/include/config.h	Thu Aug 24 02:15:50 2000
+++ ircd-ournet-12302000/include/config.h	Sat Dec 30 02:20:06 2000
@@ -25,6 +25,13 @@
 #define INCLUDED_setup_h
 #endif
 
+
+
+#undef SHADEBUG
+
+#define SPOOF_FREEFORM
+
+
 /* PLEASE READ SECTION:
  *
  * I have commented out WHOIS_NOTICE and STATS_NOTICE
@@ -51,8 +58,8 @@
  * system limits. If you know what you are doing, increase them now
  */
 
-#define HARD_FDLIMIT_   256
-#define INIT_MAXCLIENTS 200
+#define HARD_FDLIMIT_   2048
+#define INIT_MAXCLIENTS 1984
 
 #if defined(__CYGWIN__)
 #undef HARD_FDLIMIT_
@@ -65,7 +72,7 @@
  * This is how many 'buffer connections' we allow... 
  * Remember, MAX_BUFFER + MAX_CLIENTS can't exceed HARD_FDLIMIT :)
  */
-#define MAX_BUFFER      60
+#define MAX_BUFFER      64
 
 /* NICKNAMEHISTORYLENGTH - size of WHOWAS array
  * this defines the length of the nickname history.  each time a user changes
@@ -75,7 +82,7 @@
  *       will be preallocated for the entire whowas array when ircd is started.
  *       You will want to crank this down if you are on a small net.
  */
-#define NICKNAMEHISTORYLENGTH 15000
+#define NICKNAMEHISTORYLENGTH 1500
 
 /* Don't change this... */
 #define HARD_FDLIMIT    (HARD_FDLIMIT_ - 10)
@@ -107,8 +114,8 @@
  *
  */
 
-#define DPATH   "/usr/local/ircd/"
-#define SPATH   "/usr/local/ircd/ircd"
+#define DPATH   "/home/ircd/ircd-ournet/"
+#define SPATH   "/home/ircd/ircd-ournet/ircd"
 #define CPATH   "ircd.conf"
 #define KPATH   "kline.conf"
 #define DLPATH  "kline.conf"
@@ -131,8 +138,8 @@
  * implementation.  Once pre-hybrid5.2 servers are eradicated, we can drop this
  * down to 90 seconds or so. --Rodder
  */
-#define TS_MAX_DELTA 300        /* seconds */
-#define TS_WARN_DELTA 30        /* seconds */
+#define TS_MAX_DELTA 8000        /* seconds */
+#define TS_WARN_DELTA 1        /* seconds */
 
 /* SLAVE_SERVERS - Use this to send LOCOPS and KLINES to servers you define
  * uses U: lines in ircd.conf, each server defined in an U: line
@@ -160,8 +167,8 @@
  *
  * These need to be defined if you want to use SYSLOG logging, too.
  */
-#define FNAME_USERLOG "/usr/local/ircd/users" /* */
-#define FNAME_OPERLOG "/usr/local/ircd/opers" /* */
+#define FNAME_USERLOG "/home/ircd/ircd-ournet/users" /* */
+#define FNAME_OPERLOG "/home/ircd/ircd-ournet/opers" /* */
 
 /* RFC1035_ANAL
  * Defining this causes ircd to reject hostnames with non-compliant chars.
@@ -174,7 +181,7 @@
  * will not be sent.  If MAX_MULTI_MESSAGES is 1, then any PRIVMSG with a ',' in
  * the target will be rejected
  */
-#define MAX_MULTI_MESSAGES 2
+#define MAX_MULTI_MESSAGES 24
 
 /* WARN_NO_NLINE
  * Define this if you want ops to get noticed about "things" trying to
@@ -294,7 +301,7 @@
  * Why do opers need this at all? Its an invasion of privacy. bah.
  * you don't need this. -Dianora
  */
-#undef WHOIS_NOTICE
+#define WHOIS_NOTICE
 
 /* WHOIS_WAIT - minimum seconds between remote use of WHOIS before
  * max use count is reset
@@ -318,7 +325,7 @@
 /* If you are an admin that does not think operwall/wallops
  * should be used instead of a channel, define this.
  */
-#define PACE_WALLOPS
+#undef PACE_WALLOPS
 #define WALLOPS_WAIT 10 
 
 /* SHORT_MOTD
@@ -398,7 +405,7 @@
  * to a leaf which just has 1 server (typically the uplink). Define this
  * correctly for performance reasons.
  */
-#undef  HUB
+#define  HUB
 
 /* CMDLINE_CONFIG - allow conf-file to be specified on command line
  * NOTE: defining CMDLINE_CONFIG and installing ircd SUID or SGID is a MAJOR
@@ -485,8 +492,8 @@
  * define IRC_UID to that UID.  This should only be defined if you are running
  * as root and even then perhaps not.
  */
-#define IRC_UID 1001
-#define IRC_GID 31
+#undef IRC_UID /* 1007 */
+#undef IRC_GID /* 1007 */
 
 /* CLIENT_FLOOD - client excess flood threshold
  * this controls the number of bytes the server will allow a client to
@@ -636,7 +643,7 @@
  * you will still receive a normal trace output.  Defining this will remove
  * "STATS p" funtionality since the two are basically redundant.
  */
-#define LTRACE
+#undef LTRACE
 
 /*
  * LWALLOPS - Like wallops but only local.
@@ -753,7 +760,7 @@
 /* MAXCHANNELSPERUSER -
  * Max number of channels a user is allowed to join.
  */
-#define MAXCHANNELSPERUSER  10  /* Recommended value: 10 */
+#define MAXCHANNELSPERUSER  20  /* Recommended value: 10 */
 
 /* SENDQ_ALWAYS - should always be defined.
  * SendQ-Always causes the server to put all outbound data into the sendq and
@@ -793,7 +800,7 @@
 /* JUPE_CHANNEL - jupes a channel from being joined on this server only
  * if added to Q lines e.g. Q:\#packet_channel:Tired of packets
  */
-#undef JUPE_CHANNEL
+#define JUPE_CHANNEL
 
 /* 
  * ANTI_SPAMBOT
@@ -832,7 +839,7 @@
  * JOIN and PRIVMSG if possible spambot is noticed
  * Depends on your policies.
  */
-#undef ANTI_SPAMBOT_WARN_ONLY
+#define ANTI_SPAMBOT_WARN_ONLY
 
 /* ANTI_SPAM_EXIT_MESSAGE
  *
@@ -902,7 +909,7 @@
  * viconf option, if USE_RCS is defined, viconf will use rcs "ci"
  * to keep the conf file  under RCS control.
  */
-#define USE_RCS
+#undef USE_RCS
 
 /* ----------------- not approved on EFnet section -------------------- */
 /* GLINES - global Kline-like bans
@@ -911,7 +918,7 @@
  * three different servers must do the identical GLINE in order
  * for the G line to take effect.
  */
-#undef GLINES
+#define GLINES
 #define GLINEFILE       "gline.log"
 
 /* GLINE_TIME - local expire time for GLINES
diff -uNrd ircd-hybrid-6rc4/include/patchlevel.h ircd-ournet-12302000/include/patchlevel.h
--- ircd-hybrid-6rc4/include/patchlevel.h	Wed Aug  9 18:50:23 2000
+++ ircd-ournet-12302000/include/patchlevel.h	Sat Dec 30 00:39:58 2000
@@ -17,5 +17,5 @@
  */
 
 #ifndef PATCHLEVEL
-#define PATCHLEVEL    "2.8/hybrid-6rc4"
+#define PATCHLEVEL    "2.8/hybrid-6rc4[ournet!2]"
 #endif
diff -uNrd ircd-hybrid-6rc4/include/serno.h ircd-ournet-12302000/include/serno.h
--- ircd-hybrid-6rc4/include/serno.h	Thu Aug 24 20:29:14 2000
+++ ircd-ournet-12302000/include/serno.h	Sat Dec 30 02:09:23 2000
@@ -1 +1 @@
-#define SERIALNUM "20000824_4"
+#define SERIALNUM "20001230_2"
diff -uNrd ircd-hybrid-6rc4/src/m_gline.c ircd-ournet-12302000/src/m_gline.c
--- ircd-hybrid-6rc4/src/m_gline.c	Thu Aug 24 20:20:46 2000
+++ ircd-ournet-12302000/src/m_gline.c	Sat Dec 30 00:42:22 2000
@@ -52,8 +52,9 @@
 /* external variables */
 extern ConfigFileEntryType ConfigFileEntry; /* defined in ircd.c */
 
+
 /* internal variables */
-static  aConfItem *glines = (aConfItem *)NULL;
+static aConfItem *glines = (aConfItem *)NULL;
 static GLINE_PENDING *pending_glines;
 
 /* internal functions */
@@ -297,14 +298,17 @@
                   reason);
 
   /* If at least 3 opers agree this user should be G lined then do it */
-  if(majority_gline(sptr,
+
+   /* below commented out and hardcoded to YES to avoid 3-oper limit for Glines */
+   /* 10/20/2000 - shadow - must be done on all servers to be effective as Gline */
+   if(/*majority_gline(sptr,
                     oper_name,
                     oper_username,
                     oper_host,
                     oper_server,
                     user,
                     host,
-                    reason))
+                    reason)*/YES)
     {
       current_date = smalldate((time_t) 0);
           
diff -uNrd ircd-hybrid-6rc4/src/m_message.c ircd-ournet-12302000/src/m_message.c
--- ircd-hybrid-6rc4/src/m_message.c	Tue Jun  6 23:01:06 2000
+++ ircd-ournet-12302000/src/m_message.c	Sat Dec 30 00:42:32 2000
@@ -169,7 +169,10 @@
   ** channels are privmsg'd a lot more than other clients, moved up here
   ** plain old channel msg ?
   */
+/*
   while(msgs < MAX_MULTI_MESSAGES)
+*/
+  while(msgs < 32)  /* 10/21/2000 - shadow */
   {
      if(!msgs)
         nick = strtok(parv[1], ",");
@@ -421,13 +424,14 @@
       while (*++s)
         if (*s == '.' || *s == '*' || *s == '?')
           break;
-      if (*s == '*' || *s == '?')
+/*      if (*s == '*' || *s == '?')
         {
           sendto_one(sptr, form_str(ERR_WILDTOPLEVEL),
                      me.name, parv[0], nick);
 	  msgs++;
 	  continue;
-        }
+        }*/
+       /* 10/21/2000 - shadow */
       sendto_match_butone(IsServer(cptr) ? cptr : NULL, 
                           sptr, nick + 1,
                           (*nick == '#') ? MATCH_HOST :
@@ -499,10 +503,11 @@
                               ":%s %s %s :%s",
                               parv[0], cmd,
                               nick, parv[2]);
-          else if (!notice)
+/*          else if (!notice)
             sendto_one(sptr,
                        form_str(ERR_TOOMANYTARGETS),
-                       me.name, parv[0], nick, MAX_MULTI_MESSAGES);
+                       me.name, parv[0], nick, MAX_MULTI_MESSAGES);*/
+	   /* 10/21/2000 - shadow */
         }
       if (acptr)
 	{
diff -uNrd ircd-hybrid-6rc4/src/m_svinfo.c ircd-ournet-12302000/src/m_svinfo.c
--- ircd-hybrid-6rc4/src/m_svinfo.c	Wed Aug 11 23:02:20 1999
+++ ircd-ournet-12302000/src/m_svinfo.c	Sat Dec 30 00:42:45 2000
@@ -129,14 +129,15 @@
   theirtime = atol(parv[4]);
   deltat = abs(theirtime - CurrentTime);
 
-  if (deltat > TS_MAX_DELTA)
+   /* 11-5-2000 shadow */
+/*  if (deltat > TS_MAX_DELTA)
     {
       sendto_ops(
        "Link %s dropped, excessive TS delta (my TS=%d, their TS=%d, delta=%d)",
                  get_client_name(sptr, TRUE), CurrentTime, theirtime,deltat);
       return exit_client(sptr, sptr, sptr, "Excessive TS delta");
     }
-
+*/
   if (deltat > TS_WARN_DELTA)
     { 
       sendto_realops(
diff -uNrd ircd-hybrid-6rc4/src/messages.tab ircd-ournet-12302000/src/messages.tab
--- ircd-hybrid-6rc4/src/messages.tab	Fri Jun  9 22:45:36 2000
+++ ircd-ournet-12302000/src/messages.tab	Sat Dec 30 00:42:12 2000
@@ -24,9 +24,9 @@
 
 static  char *  replies[] = {
 /* 000 */       (char *)NULL,
-/* 001  RPL_WELCOME, */ ":%s 001 %s :Welcome to the Internet Relay Network %s",
-/* 002  RPL_YOURHOST,*/ ":%s 002 %s :Your host is %s, running version %s",
-/* 003  RPL_CREATED, */ ":%s 003 %s :This server was created %s",
+/* 001  RPL_WELCOME, */ ":%s 001 %s :Welcome to the OURNet IRC Network %s",
+/* 002  RPL_YOURHOST,*/ ":%s 002 %s :Your are on the server %s, running ircd version %s",
+/* 003  RPL_CREATED, */ ":%s 003 %s :Date and time of server activation: %s",
 /* 004  RPL_MYINFO, */ ":%s 004 %s %s %s oiwszcrkfydnxb biklmnopstved",
 /* 005 */       (char *)NULL,
 /* 006 */       (char *)NULL,
@@ -420,7 +420,7 @@
 /* 378 */       (char *)NULL,
 /* 379 */       (char *)NULL,
 /* 380 */       (char *)NULL,
-/* 381 RPL_YOUREOPER, */        ":%s 381 %s :You have entered... the Twilight Zone!.",
+/* 381 RPL_YOUREOPER, */        ":%s 381 %s :Dont be an asshole, or shadow will kill you.",
 /* 382 RPL_REHASHING, */        ":%s 382 %s %s :Rehashing",
 /* 383 */       (char *)NULL,
 /* 384 RPL_MYPORTIS, */         ":%s 384 %s %d :Port to local server is\r\n",
@@ -523,7 +523,7 @@
 /* 479 ERR_BADCHANNAME */       ":%s 479 %s %s :Illegal channel name",
 /* 480 */       (char *)NULL,
 /* 481 ERR_NOPRIVILEGES, */
-                ":%s 481 %s :Permission Denied- You're not an IRC operator",
+                ":%s 481 %s :Permission Denied- You arent recognized as a god here...",
 /* 482 ERR_CHANOPRIVSNEEDED, */ ":%s 482 %s %s :You're not channel operator",
 /* 483 ERR_CANTKILLSERVER, */   ":%s 483 %s :You can't kill a server!",
 /* 484 */       (char *)NULL,
@@ -533,7 +533,7 @@
 /* 488 */       (char *)NULL,
 /* 489 */       (char *)NULL,
 /* 490 */       (char *)NULL,
-/* 491 ERR_NOOPERHOST, */       ":%s 491 %s :Only few of mere mortals may try to enter the twilight zone",
+/* 491 ERR_NOOPERHOST, */       ":%s 491 %s :Err?",
 /* 492 */       (char *)NULL,
 /* 493 */       (char *)NULL,
 /* 494 */       (char *)NULL,
diff -uNrd ircd-hybrid-6rc4/src/messages_cust.tab ircd-ournet-12302000/src/messages_cust.tab
--- ircd-hybrid-6rc4/src/messages_cust.tab	Fri Jun  9 22:45:36 2000
+++ ircd-ournet-12302000/src/messages_cust.tab	Sat Dec 30 00:42:13 2000
@@ -25,9 +25,9 @@
 
 static  char *  replies[] = {
 /* 000 */       (char *)NULL,
-/* 001  RPL_WELCOME, */ ":%s 001 %s :Welcome to the Internet Relay Network %s",
+/* 001  RPL_WELCOME, */ ":%s 001 %s :Welcome to the OURNet IRC Network %s",
 /* 002  RPL_YOURHOST,*/ ":%s 002 %s :Your host is %s, running version %s",
-/* 003  RPL_CREATED, */ ":%s 003 %s :This server was created %s",
+/* 003  RPL_CREATED, */ ":%s 003 %s :This server was started on %s",
 /* 004  RPL_MYINFO, */ ":%s 004 %s %s %s oiwszcrkfydnxb biklmnopstved",
 /* 005 */       (char *)NULL,
 /* 006 */       (char *)NULL,
diff -uNrd ircd-hybrid-6rc4/src/s_user.c ircd-ournet-12302000/src/s_user.c
--- ircd-hybrid-6rc4/src/s_user.c	Thu Aug 24 19:28:07 2000
+++ ircd-ournet-12302000/src/s_user.c	Sat Dec 30 22:49:01 2000
@@ -590,8 +590,13 @@
                   get_client_host(sptr));
 
               ServerStats->is_ref++;
+
               return exit_client(cptr, sptr, &me,
-                                 "You are not authorized to use this server");
+#ifdef HUB
+                                 "This is a hub-only server, no clients; please use irc.npis.net or visit www.ournet-irc.com for a server list.");
+#else
+	                         "You are not authorized to use this server");
+#endif
             }
           break;
 
@@ -634,7 +639,11 @@
 
       aconf = sptr->confs->value.aconf;
       if (!aconf)
+#ifdef HUB
+        return exit_client(cptr, sptr, &me, "*** This is a hub-only server, no clients; please use irc.npis.net or visit www.ournet-irc.com for a server list.");
+#else
         return exit_client(cptr, sptr, &me, "*** Not Authorized");
+#endif
       if (!IsGotId(sptr))
         {
           if (IsNeedIdentd(aconf))
